# opcache_reset

(PHP 5 >= 5.5.0, PHP 7, PECL ZendOpcache >= 7.0.0)

opcache_reset — Resets the contents of the opcode cache

### Description

opcache_reset ( void ) : bool

This function resets the entire opcode cache. After calling opcache_reset(), all scripts will be reloaded and reparsed the next time they are hit.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the opcode cache was reset, or `FALSE` if the opcode cache is disabled.

### See Also

- opcache_invalidate() - Invalidates a cached script